#
# spec file for package sleuth (Version 1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-Net-DNS
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Net-DNS ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sleuth
Copyright:    GPL
Group:        Networking/Utilities  
Autoreqprov:  on
Version:      1.3
Release:      47
Source:       %{name}-%{version}.tar.bz2
Source1:      nsc-2.3.tar.bz2
Patch0:	      %{name}-%{version}-destdir.patch	
URL:          ftp://atrey.karlin.mff.cuni.cz/pub/local/mj/net/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      sleuth

%description
Sleuth is a Perl script designed for easy checking of DNS zones
for common errors and also for processing of secondary name service
requests. I wrote it after I've examined at least a dozen of utilities
claiming to do this job and found that all of them are either unable
to discover most zone bugs or too ugly for me to maintain. Sleuth also
lists the corresponding RFC references with most of its error messages,
so that the people upset with their zones being buggy can simply look
up what is exactly going wrong and how to fix it.

Authors:
--------
    Martin Mares <mj@ucw.cz>

SuSE series: n

%prep
%setup -n %{name}-%{version} -b 1
%patch0

%build
make 

%install
rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/bin 
mkdir -p $RPM_BUILD_ROOT/etc/named
mkdir -p nsc
make DESTDIR=$RPM_BUILD_ROOT install 
cd ../nsc-2.3
cp -r ./* $RPM_BUILD_ROOT/etc/named
cp -r ./README ../sleuth-1.3/nsc                                                     

%post
ln -s /etc/named.conf /etc/named/named.conf

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README THANKS nsc
/usr/bin/*
%config /etc/*

%changelog -n sleuth
* Mon Jul 30 2001 - adostal@suse.cz
- add nsc version 2.3
* Wed Jun 20 2001 - adostal@suse.cz
- upgrade to 1.3 (elimination a small bug from 1.2)
* Fri Jun 15 2001 - adostal@suse.cz
- upgrade to 1.2 (spec and patch)
* Mon Jun 04 2001 - adostal@suse.cz
- creation a new package and patch the makefile (DESTDIR)
